Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tfg.politmiro.totbolets
Class Bolet

    java.lang.Object
      com.tfg.politmiro.totbolets.Bolet

    public class Bolet

extends Object

Author:
  Polit Miro Classe bolet on definim els diferents atributs que tindra el bolet a la base de dades

Field Summary
`int` | `_id`
`String` | `altres`
`String` | `classe`
`String` | `confusio`
`String` | `desc`
`String` | `estacio`
`String` | `gastronomia`
`String` | `habitat`
`int` | `id`
`String` | `imgbolet`
`String` | `nom`
`String` | `nomcientific`
`String` | `tipus`

Constructor Summary
`Bolet()`

Method Summary
`int` | `get_id()`
`String` | `getAltres()`
`String` | `getClasse()`
`String` | `getConfusio()`
`String` | `getDesc()`
`String` | `getEstacio()`
`String` | `getGastronomia()`
`String` | `getHabitat()`
`int` | `getId()`
`String` | `getImgbolet()`
`String` | `getNom()`
`String` | `getNomcientific()`
`String` | `getTipus()`
`void` | `set_id(int _id)`
`void` | `setAltres(String altres)`
`void` | `setClasse(String classe)`
`void` | `setConfusio(String confusio)`
`void` | `setDesc(String desc)`
`void` | `setEstacio(String estacio)`
`void` | `setGastronomia(String gastronomia)`
`void` | `setHabitat(String habitat)`
`void` | `setId(int id)`
`void` | `setImgbolet(String imgbolet)`
`void` | `setNom(String nom)`
`void` | `setNomcientific(String nomcientific)`
`void` | `setTipus(String tipus)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _id

    public int _id

### id

    public int id

### nom

    public String nom

### nomcientific

    public String nomcientific

### altres

    public String altres

### tipus

    public String tipus

### classe

    public String classe

### desc

    public String desc

### estacio

    public String estacio

### habitat

    public String habitat

### gastronomia

    public String gastronomia

### confusio

    public String confusio

### imgbolet

    public String imgbolet

Constructor Detail

### Bolet

    public Bolet()

Method Detail

### get_id

    public int get_id()

### set_id

    public void set_id(int _id)

### getId

    public int getId()

### setId

    public void setId(int id)

### getNom

    public String getNom()

### setNom

    public void setNom(String nom)

### getNomcientific

    public String getNomcientific()

### setNomcientific

    public void setNomcientific(String nomcientific)

### getAltres

    public String getAltres()

### setAltres

    public void setAltres(String altres)

### getTipus

    public String getTipus()

### setTipus

    public void setTipus(String tipus)

### getClasse

    public String getClasse()

### setClasse

    public void setClasse(String classe)

### getDesc

    public String getDesc()

### setDesc

    public void setDesc(String desc)

### getEstacio

    public String getEstacio()

### setEstacio

    public void setEstacio(String estacio)

### getHabitat

    public String getHabitat()

### setHabitat

    public void setHabitat(String habitat)

### getGastronomia

    public String getGastronomia()

### setGastronomia

    public void setGastronomia(String gastronomia)

### getConfusio

    public String getConfusio()

### setConfusio

    public void setConfusio(String confusio)

### getImgbolet

    public String getImgbolet()

### setImgbolet

    public void setImgbolet(String imgbolet)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD